package com.szyx.tcm.supervision.enums;

/**
 * @author cj
 */
public enum BannerEnum {

    /**
     * banner 状态
     */

    PUBLISH(0,"已发布"),
    RELEASED(1,"待发布"),
    REVOKED(2,"已撤销"),
    EXPIRED(3,"已过期"),

    PERMANENT(4,"永久");


    /**
     * 字典类型
     */
    private Integer code;

    /**
     * 字典名称
     */
    private String name;




    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    BannerEnum(Integer code, String name){
        this.code=code;
        this.name=name;
    }

}
