package com.szyx.tcm.supervision.constant;

/*******************************************************************
 * <pre></pre>
 * @文件名称： WeChatInsurancePayConstant.java
 * @包 路  径： com.szyx.tcm.common.constant
 * @Copyright：wy (C) 2024 *
 * @Description:
 * @Version: V1.0
 * @Author： wy
 * @Date： 2024/7/24 14:09
 * @Modify：
 */
public interface WeChatInsurancePayConstant {

    // ================= 医保核心系统有关 ===========================

    /**
     * 系统版本号
     */
    String INSURANCE_CORE_SYSTEM_VERSION = "V1.0";

    /**
     * 接收方系统代码
     */
    String INSURANCE_CORE_RECEIVER_SYS_CODE = "SH_CLOUD";


    /**
     *  医保核心交易报文ID  【9001】签到
     */
    String INSURANCE_CORE_MSG_ID_SIGN_IN = "9001";



    /**
     *  医保核心交易报文ID  【1101】人员基本信息获取
     */
    String INSURANCE_CORE_BASIC_INFO = "1101";








    // ================= 医保支付中台有关 ===========================

    /**
     * feeType	费用类型 05  互联网医院问诊
     */
    String INSURANCE_PAY_FEE_TYPE = "05";












    // ================= 微信医保支付平台有关 ===========================











}
